'use strict';

var _stringify = require('./stringify');

var _stringify2 = _interopRequireDefault(_stringify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function ({
    log,
    inquirer
}) {
    return function confirmSubmit(requests) {
        requests.forEach(request => log((0, _stringify2.default)(request)));
        return inquirer({
            type: 'confirm',
            name: 'confirmed',
            message: 'Do you want to submit these build requests?',
            default: false
        });
    };
};