'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _authorization = require('./authorization');

var _authorization2 = _interopRequireDefault(_authorization);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function ({
    request
}) {
    return function submitBuildRequest({ buildRequest, projectId, token }) {
        return request({
            url: submitBuildRequestUrl(projectId),
            method: 'POST',
            headers: _extends({
                'Content-Type': 'application/json'
            }, (0, _authorization2.default)(token)),
            body: JSON.stringify(buildRequest)
        }).then(JSON.parse).then(({ metadata: { build: { id } } }) => id);
    };
};

function submitBuildRequestUrl(projectId) {
    return `https://cloudbuild.googleapis.com/v1/projects/${projectId}/builds`;
}

module.exports.submitBuildRequestUrl = submitBuildRequestUrl;